GET /v1/search/similar/{type}/{id}
Find resources semantically similar to a given resource

Path Parameters

type string required path
Resource type: action, template, trigger, connector_def (singular or plural forms accepted)
id string required path
Resource ID

Query Parameters

limit integer optional query
Max results (default: 5, max: 20)

Responses

200 OK
application/json
processingTimeMs integer
query string
results object[]
Array of:
category string
description string
id string
name string
score number
status string
tags string[]
Array of:
type string
workflowType string
totalHits integer
400 Bad Request
503 Service Unavailable
curl -X GET 'https://api.example.com/v1/search/similar/string/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/search/similar/string/string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/search/similar/string/string', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/search/similar/string/string", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "processingTimeMs": 123,  "query": "<string>",  "results": [    {      "category": "<string>",      "description": "<string>",      "id": "<string>",      "name": "<string>",      "score": 123,      "status": "<string>",      "tags": [        "<string>"      ],      "type": "<string>",      "workflowType": "<string>"    }  ],  "totalHits": 123}
Ask a question... ⌘I